## binutils-m68hc1x 2.14.90.0.7-2

=== example/Makefile ===
#!/usr/bin/make -f

########################################
# Makefile for 68HC11 projects         #
# GNU copyright 2002 by Aurelien Jarno #
########################################

#
# Project files
#
PROG = test
SRCS = main.s
OBJS = $(SRCS:.s=.o)

# Assembler flags used by default to compile a program
ASFLAGS = --gstabs

LDFLAGS = -m m68hc11elfb --defsym _start=0

#
# Options to creates the .s19 or .b files from the elf
#
OBJCOPY_FLAGS = --remove-section=page0 \
                --remove-section=.page0


####################################
# This part should not be modified #
####################################
#
# Programs location
#
DEVC_PREFIX=m68hc11-
AS=$(DEVC_PREFIX)as
SIZE=$(DEVC_PREFIX)size
OBJCOPY=$(DEVC_PREFIX)objcopy
OBJDUMP=$(DEVC_PREFIX)objdump
LD=$(DEVC_PREFIX)ld

#
# Main rules
#
all:	$(PROG).elf $(PROG).s19 $(PROG).b

$(PROG).elf: $(OBJS) memory.x
	$(LD) $(LDFLAGS) -o $(PROG).elf $(OBJS)

clean:
	rm -f *.o *.elf *.s19 *.b

#
# Some useful rules
#
dump:   $(PROG).elf
	$(OBJDUMP) -d $(PROG).elf

size:   $(PROG).s19
	$(SIZE) $(PROG).s19

#
# Implicit rules
#
# .elf is for the simulator and gdb
# .s19 is for some downloader and the simulator
# .b   is a binary dump
#
.SUFFIXES: .elf .s19 .b

.elf.s19:
	$(OBJCOPY) --output-target=srec $(OBJCOPY_FLAGS) $< $*.s19

.elf.b:
	$(OBJCOPY) --output-target=binary --gap-fill=255 $(OBJCOPY_FLAGS) $< $*.b

=== debian/changelog ===
binutils-m68hc1x (2.14.90.0.7-2) unstable; urgency=medium

  * Updated example program.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2004 19:03:03 +0200

binutils-m68hc1x (2.14.90.0.7-1) unstable; urgency=low

  * Binutils updated to 2.14.90.0.7.
  
 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Apr 2004 23:44:02 +0200

binutils-m68hc1x (2.14.90.0.4-2) unstable; urgency=low

  * Fixed typo in the Build-Depends field (closes: bug#212053).
  * Bumped standards-version to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Sep 2003 01:09:28 +0200

binutils-m68hc1x (2.14.90.0.4-1) unstable; urgency=low

  * Binutils updated to 2.14.90.0.4.
  * Removed flex and GCC 3.3 patches.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Jun 2003 15:42:00 +0200

binutils-m68hc1x (2.13-8) unstable; urgency=low

  * Patch sources to fix flex bug as toolchain-source is still not patched.
  * GCC 3.3 fixes.
  * Set policy compliance to 3.5.10.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  5 Jun 2003 19:46:34 +0200

binutils-m68hc1x (2.13-7) unstable; urgency=low

  * Fixed undefined symbol cpu6812s (closes: bug#187837).
  * Depends on ${misc:Depends}.
  * Uses debian/compat instead of DH_COMPAT.
  * Removed call to dh_undocumented.
  * Bumped standards-version to 3.5.9. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  7 Apr 2003 12:27:29 +0200

binutils-m68hc1x (2.13-6) unstable; urgency=low

  * Added some example code to /usr/share/doc/binutils-m68hc1x.
  * Standards-Version bumped to 3.5.8.
  * Fixed description.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 14:16:38 +0100

binutils-m68hc1x (2.13-5) unstable; urgency=low

  * Corrected a typo in /usr/bin/m68hc12-as causing all system resources to be
    eaten. (closes: bug#169347). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Nov 2002 15:27:45 +0100

binutils-m68hc1x (2.13-4) unstable; urgency=low

  * Not so strict dependency on toolchain-source.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 08:11:12 +0200

binutils-m68hc1x (2.13-3) unstable; urgency=low

  * Merged binutils-m68hc11 and binutils-m68hc12 into binutils-m68hc1x.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 02:55:06 +0200

binutils-m68hc1x (2.13-2) unstable; urgency=low

  * Initial Debian upload (closes: bug#165823).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Oct 2002 21:23:32 +0200

binutils-m68hc1x (2.13-1) unstable; urgency=low

  * Initial release.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Oct 2002 01:54:09 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: extra
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), autoconf2.13, bison, flex, gettext, texinfo, toolchain-source (>= 3.3-1), tar (>= 1.13.18), bzip2, gzip

Package: binutils-m68hc1x
Section: devel
Architecture: any
Priority: extra
Conflicts: binutils-m68hc11, binutils-m68hc12
Replaces: binutils-m68hc11, binutils-m68hc12
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= 2.14-1)
Description: Binary utilities that support Motorola's 68HC11/12 targets
 The programs in this package are used to assemble, link and manipulate binary 
 and object files for the Motorola's 68HC11/12 architecture. This package is 
 primarily for 68HC11/12 developers and cross-compilers and is not needed by 
 normal users or developers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE      := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

unpack: unpack-stamp
unpack-stamp:
	tar xjf /usr/src/toolchain/binutils.tar.bz2
#	for i in *.patch ; do \
#	  patch -p0 < $$i ; \
#	done
	mv binutils-* src
	mkdir build
	touch unpack-stamp

configure: configure-stamp
configure-stamp: unpack-stamp
	dh_testdir

	# Add here commands to configure the package.
	cd build && \
	../src/configure --prefix=/usr \
                         --build=$(DEB_BUILD_GNU_TYPE) \
                         --host=$(DEB_HOST_GNU_TYPE) \
                         --target=m68hc11
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	cd build && $(MAKE)
	tar cfz $(CURDIR)/example.tar.gz example
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/binutils-m68hc1x
	cd build && $(MAKE) install prefix=$(CURDIR)/debian/binutils-m68hc1x/usr
	
	# Change hardlinks to symlinks
	rm -f $(CURDIR)/debian/binutils-m68hc1x/usr/m68hc11/bin/*
	for i in ar as ld nm ranlib strip ; do \
		ln -s ../../bin/m68hc11-$$i $(CURDIR)/debian/binutils-m68hc1x/usr/m68hc11/bin/$$i ; \
	done

	# Also create m68hc12-*
	cp debian/m68hc12-as $(CURDIR)/debian/binutils-m68hc1x/usr/bin
	cp debian/m68hc12-ld $(CURDIR)/debian/binutils-m68hc1x/usr/bin
	ln -s m68hc11-ar $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-ar
	ln -s m68hc11-addr2line $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-addr2line
	ln -s m68hc11-c++filt $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-c++filt
	ln -s m68hc11-nm $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-nm
	ln -s m68hc11-objdump $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-objdump
	ln -s m68hc11-objcopy $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-objcopy
	ln -s m68hc11-ranlib $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-ranlib
	ln -s m68hc11-readelf $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-readelf
	ln -s m68hc11-size $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-size
	ln -s m68hc11-strings $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-strings
	ln -s m68hc11-strip $(CURDIR)/debian/binutils-m68hc1x/usr/bin/m68hc12-strip
	
	# Use manpages from main binutils package
	rm -rf debian/binutils-m68hc1x/usr/man
	mkdir -p debian/binutils-m68hc1x/usr/share/man/man1
	for i in ar nm objcopy objdump ranlib readelf size strings strip c++filt as ld addr2line ; do \
		ln -s $$i.1.gz $(CURDIR)/debian/binutils-m68hc1x/usr/share/man/man1/m68hc11-$$i.1.gz ; \
		ln -s $$i.1.gz $(CURDIR)/debian/binutils-m68hc1x/usr/share/man/man1/m68hc12-$$i.1.gz ; \
	done

	# Files also in main binutils pkg
	cd debian/binutils-m68hc1x/usr && \
	/usr/src/toolchain/scripts/tpkg-binutils-rm-common-files

	# Override file
	install -p -d -o root -g root -m 755 $(CURDIR)/debian/binutils-m68hc1x/usr/share/lintian/overrides
	install -p -o root -g root -m 644 $(CURDIR)/debian/overrides $(CURDIR)/debian/binutils-m68hc1x/usr/share/lintian/overrides/binutils-m68hc1x

clean:
	dh_testdir
	dh_testroot
	rm -f $(CURDIR)/example.tar.gz
	rm -rf src build
	rm -f build-stamp configure-stamp unpack-stamp

	dh_clean


# Build architecture-independent files here.
binary-indep: build install 
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## binutils-m68hc1x 2.18

=== debian/changelog ===
binutils-m68hc1x (1:2.18-9) unstable; urgency=medium

  * QA upload
  * Removed unneeded gasp manpage since gasp was eliminated as a distinct
    binary somewhere around 2002 (Closes: #857210)

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Mar 2017 12:21:41 +0100

binutils-m68hc1x (1:2.18-8) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible by passing -n to gzip.
    (Closes: #835263)
  * Bump Standards-Version to 3.9.8.
  * Move debhelper compat level 9.
  * Move to "3.0 (quilt)" source format
  * Drop duplicated "Priority" and "Section" entries in debian/control.
  * Use dh_prep over dh_clean -k

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 13:00:48 +0100

binutils-m68hc1x (1:2.18-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Do not include the "example" directory itself
    in example.tar.gz.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 16:21:52 +0200

binutils-m68hc1x (1:2.18-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Force members of example.tar.gz to have mode 644.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 23:56:26 +0200

binutils-m68hc1x (1:2.18-5) unstable; urgency=medium

  * QA upload.
  * Fix broken 02_missing_makeinfo.patch to fix FTBFS with texinfo 6.
    (Closes: #790689)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 21:58:00 +0200

binutils-m68hc1x (1:2.18-4) unstable; urgency=medium

  * QA upload.
  * Run autoreconf to enable builds on arm64 and other new architectures
    - Closes: #727329, #744415
  * Make builds reproducible, closes: #777317
    - Thanks Chris Lamb
  * Drop obsolete XS-DM-Upload-Allowed: field
  * Add build-arch and build-arch-indep targets

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 28 Apr 2015 09:33:49 +0300

binutils-m68hc1x (1:2.18-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fix target order to fix FTBFS 
  * debian/patches/
    - update 02_missing_makeinfo.patch to deal with texinfo 5.x and fix FTBFS
      (Closes: #712345)
    - add debian/patches/04_fix_texinfo_warning.patch to fix another FTBFS

 -- Hideki Yamane <henrich@debian.org>  Thu, 10 Oct 2013 20:43:43 +0900

binutils-m68hc1x (1:2.18-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS format security problems.": add patch
    03_fix-format-security.patch from peter green that adds the missing
    format arguments.
    Closes: #651906

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Jan 2012 19:30:15 +0100

binutils-m68hc1x (1:2.18-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Configure with --disable-werror. Closes: #625313. LP: #749220.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2011 10:41:04 +0200

binutils-m68hc1x (1:2.18-3) unstable; urgency=low

  [ Arthur Loiret ]
  * debian/patches/02_missing_makeinfo: Add (closes: #453197).
  * Fix debian/watch (closes: #449911).
  * debian/control: Update Standards-Version (no changes).

  [ Pierre Habouzit ]
  * debian/control: DM-Upload-Allowed set to yes.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sun, 30 Dec 2007 03:03:57 +0100

binutils-m68hc1x (1:2.18-2) unstable; urgency=low

  * debian/rules: change objcopy hardlink to symlink
  * debian/overrides: update for objcopy

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 22 Oct 2007 23:18:04 +0200

binutils-m68hc1x (1:2.18-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - enable targets m68hc11,m68hc12.
    - Small updates in packaging.
  * 01_binutils_m68hc11.patch: Update.
  * 02_fix_ftbfs.patch: Remove, fixed upstream.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 22 Oct 2007 15:28:58 +0200

binutils-m68hc1x (1:2.17-1) unstable; urgency=low

  * Adopting package (Closes: #412607)
  * New Upstream release
  * Update compat to 5, set debhelper required version to 5 in Build-Depends
  * Update Standards-Version to 3.7.2
  * debian/copyright: update FSF address, update upstream download addresses
  * debian/overrides: add objdump-file-in-unusual-dir override
  * Remove patches:
    + binutils-2.15-gcc-4.0.diff has been applied upstream
    + binutils-2.15-m68hc1x-20040801.diffs has been part-applied upstream
  * Add debian/patches/01_binutils_m68hc11.patch to replace previous patch
  * Add debian/patches/02_fix_ftbfs.patch to fix ftbfs
  * debian/rules: partial rewrite of the build system
  * Add debian/watch

 -- Arthur Loiret <arthur.loiret@gmail.com>  Wed, 08 Aug 2007 11:07:16 +0000

binutils-m68hc1x (1:2.15+3.1-1) unstable; urgency=low

  * New upstream version, still based on binutils-2.15. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Mar 2006 01:43:30 +0100

binutils-m68hc1x (1:2.15+3.0.1-2) unstable; urgency=low

  * Fixes for gcc-4.0. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Jul 2005 22:13:14 +0200

binutils-m68hc1x (1:2.15+3.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Jun 2005 17:30:13 +0200

binutils-m68hc1x (1:2.15+3.0-1) unstable; urgency=low

  * New upstream version, still based on binutils-2.15.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Jan 2005 06:58:37 +0100

binutils-m68hc1x (1:2.15+2.92-1) unstable; urgency=high

  * Switched to 2.92 pre-release, ie binutils-2.15 + some patches.
  * Urgency set to high as the whole toolchain has to switch to 2.92
    pre-release to fix an RC bug on gcc-m68hc1x.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Sep 2004 14:41:47 +0200

binutils-m68hc1x (1:2.12.1-2) unstable; urgency=medium

  * Don't install /usr/include files (closes: bug#265314).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Aug 2004 18:50:24 +0200

binutils-m68hc1x (1:2.12.1-1) unstable; urgency=medium

  * toolchain-source is not really suitable for embedded targets. Moreover
    such targets does not need to follow the main toolchain.
  * Using binutils version 2.12.1 + m68hc1x maintainer patches, which is the
    recommended version for this target.



=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), autoconf (>= 2.13), bison, flex, gettext, texinfo, bzip2, autotools-dev

Package: binutils-m68hc1x
Architecture: any
Conflicts: binutils-m68hc11, binutils-m68hc12
Replaces: binutils-m68hc11, binutils-m68hc12
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binary utilities that support Motorola's 68HC11/12 targets
 The programs in this package are used to assemble, link and manipulate binary
 and object files for the Motorola's 68HC11/12 architecture. This package is
 primarily for 68HC11/12 developers and cross-compilers and is not needed by
 normal users or developers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE      := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -U_FORTIFY_SOURCE

version := $(shell dpkg-parsechangelog | grep ^"Version" | sed -r 's/Version: [0-9]{1}:([0-9\.]+)-.*/\1/')
tarball := binutils-$(version).tar.bz2

srcdir  := $(shell echo $(tarball) | sed -e 's/\.tar\.bz2//')

# FIXME: one-char vars are evil, even more than emacs.
D := $(CURDIR)/debian/binutils-m68hc1x

unpack: unpack-stamp
unpack-stamp:
	dh_testdir

	tar xf $(tarball)
	mkdir build

	touch unpack-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	dh_testdir

	for patch in debian/patches/*.patch; do \
	  patch -p0 < $$patch; \
	done

	touch patch-stamp

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	dh_autotools-dev_updateconfig

	cd build && \
	CFLAGS="$(CFLAGS)" ../$(srcdir)/configure --prefix=/usr \
			--disable-werror \
			--infodir=/usr/share/info \
			--mandir=/usr/share/man \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--host=$(DEB_HOST_GNU_TYPE) \
			--target=m68hc11 \
			--enable-targets=m68hc11,m68hc12
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir
	cd build && $(MAKE)
	GZIP=-9n tar cfz $(CURDIR)/example.tar.gz example/* --sort=name --mtime="$(BUILD_DATE)" --mode=644
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/binutils-m68hc1x
	cd build && \
		$(MAKE) install prefix=$(D)/usr \
		                mandir=$(D)/usr/share/man \
				infodir=$(D)/usr/share/info

	# Change hardlinks to symlinks
	for i in ar as ld nm objcopy objdump ranlib strip ; do \
		rm -f $(CURDIR)/debian/binutils-m68hc1x/usr/m68hc11/bin/$$i ; \
		ln -s ../../bin/m68hc11-$$i $(D)/usr/m68hc11/bin/$$i ; \
	done

	# Also create m68hc12-*
	install -o root -g root -m 755 $(CURDIR)/debian/m68hc12-as $(D)/usr/bin
	ln -s m68hc11-as.1 $(CURDIR)/debian/binutils-m68hc1x/usr/share/man/man1/m68hc12-as.1
	install -o root -g root -m 755 $(CURDIR)/debian/m68hc12-ld $(D)/usr/bin
	ln -s m68hc11-ld.1 $(CURDIR)/debian/binutils-m68hc1x/usr/share/man/man1/m68hc12-ld.1

	for i in ar addr2line c++filt nm objdump objcopy ranlib readelf size strings strip ; do \
		ln -s m68hc11-$$i $(D)/usr/bin/m68hc12-$$i ; \
		ln -s m68hc11-$$i.1 $(D)/usr/share/man/man1/m68hc12-$$i.1 ; \
	done

	# Files also in main binutils pkg
	rm -rf $(D)/usr/include
	rm -rf $(D)/usr/lib
	rm -rf $(D)/usr/share/info
	rm -rf $(D)/usr/share/locale

	# Override file
	install -p -o root -g root -m 644 $(CURDIR)/debian/overrides \
		$(D)/usr/share/lintian/overrides/binutils-m68hc1x

clean:
	dh_testdir
	dh_testroot
	rm -f $(CURDIR)/example.tar.gz
	rm -rf build $(srcdir)
	rm -f build-stamp configure-stamp patch-stamp unpack-stamp

	dh_clean

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/binutils/binutils-([\d\.]+)\.tar\.gz

## binutils-m68hc1x 2.35.1

=== debian/changelog ===
binutils-m68hc1x (1:2.35.1-3) unstable; urgency=medium

  * copyright: Generated by "debmake -cc" and cleaned up.

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Thu, 03 Dec 2020 20:59:09 +0100

binutils-m68hc1x (1:2.35.1-2) unstable; urgency=medium

  * control: Corrected the Maintainer mail address
  * README.Debian: Rephrased the README
  * control: Added the fields Vcs-*

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 08 Nov 2020 20:30:23 +0100

binutils-m68hc1x (1:2.35.1-1) unstable; urgency=medium

  * New upstream version 2.35.1
  * New maintainer (Closes: #739225)
  * Update the debian packaging (Closes: #957044)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 08 Nov 2020 15:08:23 +0100

=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: optional
Maintainer: Vincent Smeets <Vincent.VSmeets@gmail.com>
Vcs-Browser: https://salsa.debian.org/VSmeets/binutils-m68hc1x
Vcs-Git: https://salsa.debian.org/VSmeets/binutils-m68hc1x.git
Build-Depends: debhelper-compat (= 13), bison, bzip2, flex, gettext, texinfo, zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.gnu.org/software/binutils/
Rules-Requires-Root: no

Package: binutils-m68hc1x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binary utilities that support Motorola's 68HC11/12 targets
 The programs in this package are used to assemble, link and manipulate binary
 and object files for the Motorola's 68HC11/12 architecture. This package is
 primarily for 68HC11/12 developers and cross-compilers and is not needed by
 normal users or developers.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-system-zlib \
		--target=m68hc11 \
		--enable-targets=m68hc11,m68hc12

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic)
opts="pgpmode=auto" \
	https://ftp.gnu.org/gnu/binutils/ \
	binutils@ANY_VERSION@@ARCHIVE_EXT@

# Uncomment to examine an FTP server
#ftp://ftp.example.com/pub/binutils-m68hc1x-(.*)\.tar\.gz debian uupdate

# SourceForge hosted projects
# http://sf.net/binutils-m68hc1x/ binutils-m68hc1x-(.*)\.tar\.gz debian uupdate

# GitHub hosted projects
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
#   https://github.com/<user>/binutils-m68hc1x/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
# https://pypi.debian.net/binutils-m68hc1x/binutils-m68hc1x-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git
# opts="mode=git" http://git.example.com/binutils-m68hc1x.git \
#   refs/tags/v([\d\.]+) debian uupdate

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html binutils-m68hc1x-(.*)\.tar\.gz

## binutils-m68hc1x 3.0.1build1

=== debian/changelog ===
binutils-m68hc1x (1:3.0.1build1) jammy; urgency=medium

  * Build using binutils 2.38.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Mar 2022 11:12:42 +0100

binutils-m68hc1x (1:3.0.1) unstable; urgency=medium

  * Add DH_COMPAT=10 as needed after autoconf2.69 version 2.69-3.
  * Recreate man page for c++filt.1

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 26 Sep 2021 16:06:10 +0200

binutils-m68hc1x (1:3) unstable; urgency=medium

  * Repackaged as a native package based on binutils-source (Closes: #982848)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Thu, 16 Sep 2021 18:59:20 +0200

binutils-m68hc1x (1:2.36.1-1) unstable; urgency=medium

  * New upstream version 2.36.1
  * Rediff patches
  * not-installed: usr/lib
  * control: Policy 4.5.1
  * copyright: debmake -k

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 07 Feb 2021 17:21:55 +0100

binutils-m68hc1x (1:2.35.1-4) unstable; urgency=medium

  * Drop 0002-Skip-test-errors.patch: Superseded
  * New upstream version 2.35.1
  * Merge debian with upstream branch

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 06 Feb 2021 16:56:53 +0100

=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: optional
Maintainer: Vincent Smeets <Vincent.VSmeets@gmail.com>
Vcs-Browser: https://salsa.debian.org/VSmeets/binutils-m68hc1x
Vcs-Git: https://salsa.debian.org/VSmeets/binutils-m68hc1x.git
Build-Depends:
 debhelper-compat (= 13),
 autoconf2.69,
 binutils-source,
 bison,
 chrpath,
 flex,
 gettext,
 lsb-release,
 texinfo,
 xz-utils,
 zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://www.gnu.org/software/binutils/
Rules-Requires-Root: no

Package: binutils-m68hc1x
Architecture: any
Multi-Arch: foreign
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils-common
Description: GNU binary utilities for Motorola's 68HC11/12 targets
 This package provides GNU assembler, linker and binary utilities for
 a specific hardware and operating system combination.  You don’t need
 it unless you plan to cross-compile programs for it.
 .
 This package targets the Motorola's 68HC11/12 architecture.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
DEB_VERSION_EPOCH	= $(call dpkg_late_eval,DEB_VERSION_EPOCH,echo '$(DEB_VERSION)' | sed -e 's/^\([0-9]*:\).*/\1/' -e 's/://')

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DH_VERBOSE		= 1

binutils_source_name	= binutils-source
binutils_source_version	!= dpkg-query -f'$${source:Upstream-Version}' -W $(binutils_source_name)
binutils_source_tar	= /usr/src/binutils/binutils-$(binutils_source_version).tar.xz
binutils_source_dir	= src
build_using		!= dpkg-query -f '$${source:Package} (= $${source:Version})' -W $(binutils_source_name)
target			= m68hc11
enable_targets		= m68hc11,m68hc12
pkg_version		= $(DEB_VERSION_EPOCH):$(binutils_source_version)+$(DEB_VERSION_UPSTREAM)

%:
	mkdir --parent "$(binutils_source_dir)"
	dh $@ --sourcedirectory="$(binutils_source_dir)" --builddirectory

execute_before_dh_update_autotools_config:
	tar \
		--extract \
		--directory="$(binutils_source_dir)" \
		--strip-components=1 \
		--file="$(binutils_source_tar)"
	rm --force $(binutils_source_dir)/binutils/doc/cxxfilt.man
	rm --force --recursive $(binutils_source_dir)/zlib

override_dh_autoreconf:
	if ! echo $(DEB_BUILD_OPTIONS) | grep -q terse; \
	then \
		AUTORECONF_OPTS='-v'; \
	fi; \
	AUTORECONF_DIRS=`cd $(binutils_source_dir) && find . -name configure.ac -o -name configure.in`; \
	dh_autoreconf autoreconf2.69 -- \
		--force \
		--include=`pwd`/$(binutils_source_dir)/config \
		$$AUTORECONF_OPTS \
		$$AUTORECONF_DIRS

override_dh_auto_configure:
	DH_COMPAT=10 dh_auto_configure -- \
		--target=$(target) \
		--libdir="\$${prefix}/lib/$(target)" \
		--with-bugurl="https://www.debian.org/Bugs/" \
		--with-system-zlib \
		--with-pkgversion="$(pkg_version)" \
		--enable-deterministic-archives \
		--enable-targets=$(enable_targets)

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_gencontrol:
	dh_gencontrol -- -v$(pkg_version) -VBuilt-Using="$(build_using)"

## binutils-m68hc1x 3.1

=== debian/changelog ===
binutils-m68hc1x (1:3.1) unstable; urgency=medium

  * Apply provided patches
  * Added patch 0001-mbstowcs-convert-to-destination.patch (Closes: #1016258)
  * Added patch 0002-test-pexecute-correct-buffer-size.patch
  * Revert: Recreate man page for c++filt.1
  * copyright: Removed superfluous file pattern

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 05 Aug 2022 21:04:13 +0200

binutils-m68hc1x (1:3.0.2) unstable; urgency=medium

  * Use the correct tar filename (Closes: #1013607)
  * Enable tests
  * Standards version set to 4.6.1

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 24 Jun 2022 16:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
  flex,
  gettext,
  lsb-release,
+ quilt,
  texinfo,
  xz-utils,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://www.gnu.org/software/binutils/
 Rules-Requires-Root: no

## binutils-m68hc1x 3.5.0

=== debian/changelog ===
binutils-m68hc1x (1:3.5.0) unstable; urgency=medium

  * Patch: Correcting typo's (removed) (Closes: #1026638)
  * Source: Removed lintian-overrides
  * Patch: fix concurrent build

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 18 Jan 2023 18:57:48 +0100

binutils-m68hc1x (1:3.4.0) unstable; urgency=medium

  * Patch: Correcting typo's
  * lintian: Assembly instructions are no spelling errors.

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 04 Jan 2023 20:05:24 +0100

binutils-m68hc1x (1:3.3) unstable; urgency=medium

  * Corrected lintian errors
  * Standards-Version: 4.6.2 (no changes)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 21 Dec 2022 11:26:27 +0100

binutils-m68hc1x (1:3.2) unstable; urgency=medium

  * Removed patch 0001. Resolved by upstream. (Closes: #1026638)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Tue, 20 Dec 2022 20:48:47 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  texinfo,
  xz-utils,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.gnu.org/software/binutils/
 Rules-Requires-Root: no

## binutils-m68hc1x 3.5.2

=== debian/changelog ===
binutils-m68hc1x (1:3.5.2) unstable; urgency=medium

  * Apply the fix from #1090761 (Closes: #1090194)
  * Standards-Version: 4.7.0 (no changes needed)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 20 Dec 2024 16:49:25 +0100

binutils-m68hc1x (1:3.5.1) unstable; urgency=medium

  * Removed *-build-with-mktemp patch (Closes: #1042317)
  * lintian: Ignore info messages

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 05 Aug 2023 14:41:24 +0200

## binutils-m68hc1x 3.5.3

=== debian/changelog ===
binutils-m68hc1x (1:3.5.3) unstable; urgency=medium

  * Revert "Apply the fix from #1090761" (Closes: #1093320)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 18 Jan 2025 20:22:38 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  texinfo,
  xz-utils,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.gnu.org/software/binutils/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 binutils_source_name	= binutils-source
 binutils_source_version	!= dpkg-query -f'$${source:Upstream-Version}' -W $(binutils_source_name)
-binutils_source_tar	= /usr/src/binutils/binutils-$(binutils_source_version).tar.xz
+binutils_source_tar	!= dpkg-query -L $(binutils_source_name) | grep 'binutils-[^/]*\.tar.*'
 binutils_source_dir	= src
 build_using		!= dpkg-query -f '$${source:Package} (= $${source:Version})' -W $(binutils_source_name)
 target			= m68hc11
@@ -24,7 +24,7 @@
 		--directory="$(binutils_source_dir)" \
 		--strip-components=1 \
 		--file="$(binutils_source_tar)"
-	rm --force $(binutils_source_dir)/binutils/doc/cxxfilt.man
+	cd "$(binutils_source_dir)"; QUILT_PATCHES=../debian/patches quilt push -a
 	rm --force --recursive $(binutils_source_dir)/zlib
 
 override_dh_autoreconf:
@@ -32,7 +32,7 @@
 	then \
 		AUTORECONF_OPTS='-v'; \
 	fi; \
-	AUTORECONF_DIRS=`cd $(binutils_source_dir) && find . -name configure.ac -o -name configure.in`; \
+	AUTORECONF_DIRS=`cd $(binutils_source_dir) && find . ! -path './.pc/*' \( -name configure.ac -o -name configure.in \)`; \
 	dh_autoreconf autoreconf2.69 -- \
 		--force \
 		--include=`pwd`/$(binutils_source_dir)/config \
@@ -49,8 +49,6 @@
 		--enable-deterministic-archives \
 		--enable-targets=$(enable_targets)
 
-override_dh_auto_test:
-
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

## binutils-m68hc1x 3.5.3build1

=== debian/changelog ===
binutils-m68hc1x (1:3.5.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:38:32 +0000
